org.gradle.api.plugins.quality

## Interface CodeNarcReports

- All Superinterfaces:
    Collection<SingleFileReport>, org.gradle.util.Configurable<ReportContainer<SingleFileReport>>, DomainObjectCollection<SingleFileReport>, Iterable<SingleFileReport>, NamedDomainObjectCollection<SingleFileReport>, NamedDomainObjectSet<SingleFileReport>, ReportContainer<SingleFileReport>, Set<SingleFileReport>

      public interface CodeNarcReports
      extends ReportContainer<SingleFileReport>

  The reporting configuration for the `CodeNarc` test.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.reporting.ReportContainer

      `ReportContainer.ImmutableViolationException`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SingleFileReport` | `getHtml()` The codenarc HTML report
    `SingleFileReport` | `getText()` The codenarc text report
    `SingleFileReport` | `getXml()` The codenarc XML report

    - ### Methods inherited from interface org.gradle.api.reporting.ReportContainer

      `getEnabled`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getNamer, getNames, getRules`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Collection

      `clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface org.gradle.util.Configurable

      `configure`

- - ### Method Detail

    - #### getXml

          SingleFileReport getXml()

      The codenarc XML report
      Returns:
        The codenarc XML report

    - #### getHtml

          SingleFileReport getHtml()

      The codenarc HTML report
      Returns:
        The codenarc HTML report

    - #### getText

          SingleFileReport getText()

      The codenarc text report
      Returns:
        The codenarc text report